Loading...
Searching...
No Matches
Opm::data::Solution Class Reference
Inheritance diagram for Opm::data::Solution:

## Public Member Functions

| Solution (bool si)
bool | has (const std::string &) const
template<class T>
std::vector< T > & | data (const std::string &)
template<class T>
const std::vector< T > & | data (const std::string &) const
std::pair< iterator, bool > | insert (std::string name, UnitSystem::measure, std::vector< double >, TargetType)
std::pair< iterator, bool > | insert (std::string name, UnitSystem::measure, std::vector< float >, TargetType)
std::pair< iterator, bool > | insert (std::string name, std::vector< int >, TargetType)
void | convertToSI (const UnitSystem &)
void | convertFromSI (const UnitSystem &)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Solution | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/output/data/Solution.hpp
- opm/output/data/Solution.cpp